Loading...
Searching...
No Matches
l4mod.h File Reference

L4mod structures and constants. More...

`#include <l4/sys/l4int.h>`
Include dependency graph for l4mod.h:

Go to the source code of this file.

## Data Structures

struct | l4util_l4mod_mod
| A single module. More...
struct | l4util_l4mod_info
| Base module structure. More...

## Enumerations

enum | l4util_l4mod_mod_info_flag { L4util_l4mod_mod_flag_unspec = 0 , L4util_l4mod_mod_flag_kernel = 1 , L4util_l4mod_mod_flag_sigma0 = 2 , L4util_l4mod_mod_flag_roottask = 3 , L4util_l4mod_mod_flag_mask = 7 << 0 }
| Flags for l4util_l4mod_mod.flags. More...

## Detailed Description

L4mod structures and constants.

Definition in file l4mod.h.

## Enumeration Type Documentation

## l4util_l4mod_mod_info_flag

enum l4util_l4mod_mod_info_flag

Flags for l4util_l4mod_mod.flags.

Enumerator
L4util_l4mod_mod_flag_unspec | Flag for a generic module.
L4util_l4mod_mod_flag_kernel | Flag for the kernel module.
L4util_l4mod_mod_flag_sigma0 | Flag for the sigma0 module.
L4util_l4mod_mod_flag_roottask | Flag for the root task module.
L4util_l4mod_mod_flag_mask | Mask for specified flags.

Definition at line 17 of file l4mod.h.